[Frugalware-git] pacman-g2: makepkg: check for the version of the makedepends as well

Miklos Vajna vmiklos at frugalware.org
Wed Oct 14 22:16:01 CEST 2009


Git-Url: http://git.frugalware.org/gitweb/gitweb.cgi?p=pacman-g2.git;a=commitdiff;h=4d99eacad6d8f44779eb4d3b26dd755b177fe812

commit 4d99eacad6d8f44779eb4d3b26dd755b177fe812
Author: Miklos Vajna <vmiklos at frugalware.org>
Date:   Wed Oct 14 22:16:23 2009 +0200

makepkg: check for the version of the makedepends as well

diff --git a/scripts/makepkg b/scripts/makepkg
index 234213f..4b91813 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -1240,6 +1240,12 @@ if [ `type -p $PACMAN` -a "$NODEPS" = "0" ]; then
if [ $? -gt 0 ]; then
exit 1
fi
+	# check deps again to make sure they were resolved
+	deplist=`checkdeps ${makedepends[@]}`
+	if [ ! -z "$deplist" ]; then
+		error "Failed to install missing buildtime dependencies."
+		exit 1
+	fi
elif [ "$NODEPS" = "1" ]; then
warning "skipping dependency checks."
else


More information about the Frugalware-git mailing list